# Default values for mock-dish
# Declare variables to be passed into your templates.

# Global parameters
global:
  tango_host: databaseds-tango-base:10000

# Mock DISH
mock_dish:
  component: mock-dish
  subsystem: test
  enabled: true
  receptors: ["SKA001", "SKA002", "SKA003", "SKA004"]
  prefix: test
  newDeviceNames: true
  dishMaster:
    image: artefact.skao.int/ska-sdp-mock-dish-devices
    version: 0.5.1
    imagePullPolicy: IfNotPresent
    restartPolicy: Never
    enabled: true
    achievedPointing:
      # scan id -> pointing table path
      1: /mnt/data/test_data/pointing-hdfs/actual_pointing_scan-1.hdf
      2: /mnt/data/test_data/pointing-hdfs/actual_pointing_scan-2.hdf
      3: /mnt/data/test_data/pointing-hdfs/actual_pointing_scan-3.hdf
      4: /mnt/data/test_data/pointing-hdfs/actual_pointing_scan-4.hdf
      5: /mnt/data/test_data/pointing-hdfs/actual_pointing_scan-5.hdf
    data_antennas: 4
    time_scale: 1.0
    domain: dish-master
    function: sdp-mock-dish-master
    livenessProbe:
      initialDelaySeconds: 30
      periodSeconds: 30
      maxAgeSeconds: 30
  dishLeafnode:
    image: artefact.skao.int/ska-sdp-mock-dish-devices
    version: 0.5.1
    imagePullPolicy: IfNotPresent
    restartPolicy: Never
    enabled: true
    desiredPointing:
      # scan id -> pointing table path
      1: /mnt/data/test_data/pointing-hdfs/requested_pointing_scan-1.hdf
      2: /mnt/data/test_data/pointing-hdfs/requested_pointing_scan-2.hdf
      3: /mnt/data/test_data/pointing-hdfs/requested_pointing_scan-3.hdf
      4: /mnt/data/test_data/pointing-hdfs/requested_pointing_scan-4.hdf
      5: /mnt/data/test_data/pointing-hdfs/requested_pointing_scan-5.hdf
    sourceOffset:
      1: /mnt/data/test_data/pointing-hdfs/source_offset_scan-1.hdf
      2: /mnt/data/test_data/pointing-hdfs/source_offset_scan-2.hdf
      3: /mnt/data/test_data/pointing-hdfs/source_offset_scan-3.hdf
      4: /mnt/data/test_data/pointing-hdfs/source_offset_scan-4.hdf
      5: /mnt/data/test_data/pointing-hdfs/source_offset_scan-5.hdf
    data_antennas: 4
    time_scale: 1.0
    domain: dish-leafnode
    function: sdp-mock-dish-leafnode
    livenessProbe:
      initialDelaySeconds: 30
      periodSeconds: 30
      maxAgeSeconds: 30

# Tango dsconfig
dsconfig:
  image:
    registry: artefact.skao.int
    image: ska-tango-images-tango-dsconfig
    tag: 1.5.9
    pullPolicy: IfNotPresent

# Parameters that apply to all SDP Jobs
jobs:
  ttl: 300

pvc:
  name: test-pvc
  path: /mnt/data/

nameOverride: ""
fullnameOverride: ""

